GC-ANALYZE(1)

NAME
gc-analyze - Analyze Garbage Collector (GC) memory dumps

SYNOPSIS
gc-analyze [OPTION] ... [file]

DESCRIPTION
gc-analyze prints an analysis of a GC memory dump to standard out.

The memory dumps may be created by calling "gnu.gcj.util.GCInfo.enumerate(String namePrefix)" from java code. A memory dump will be created on an out of memory condition if "gnu.gcj.util.GCInfo.setOOMDump(String namePrefix)" is called before the out of memory occurs.

Running this program will create two files: TestDump001 and TestDump001.bytes.

        import gnu.gcj.util.*;
        import java.util.*;

        public class GCDumpTest
        {
            static public void main(String args[])
            {
                ArrayList<String> l = new ArrayList<String>(1000);

                for (int i = 1; i < 1500; i++) {
                    l.add("This is string #" + i);
                }
                GCInfo.enumerate("TestDump");
            }
        }

The memory dump may then be displayed by running:

        gc-analyze -v TestDump001

OPTIONS

--verbose
-v  Verbose output.

-p tool-prefix
    Prefix added to the names of the nm and readelf commands.

-d directory
    Directory that contains the executable and shared libraries used when the dump was generated.

--help
    Print a help message, then exit.

--version
    Print version information, then exit.

SEE ALSO

COPYRIGHT
Copyright (c) 2001-2015 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, the Front-Cover Texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).

(a) The FSF's Front-Cover Text is:

     A GNU Manual

(b) The FSF's Back-Cover Text is:

     You have freedom to copy and modify this GNU Manual, like GNU
     software.  Copies published by the Free Software Foundation raise
     funds for GNU development.